# -*- coding: utf-8 -*-
Name: libmatroska
Version: 0.7.0
Release: alt1

BuildRequires: libebml-devel
BuildRequires: gcc-c++ >= 3.2

%def_disable static

Summary: an extensible open standard Audio/Video container format
Summary(ru_RU.UTF-8): расширяемый открытый формат для композиции аудио- и видеоформатов
License: LGPL
Group: System/Libraries
Url: http://www.matroska.org

Source0: %name-%version.tar.bz2
Source1: %name-autotools-0.7.0.tar.bz2
Patch: libmatroska-0.7.0-alt-autoconfig.patch

%description
Matroska is aiming to become the standard of Multimedia Container
Formats one day. It is based on EBML (Extensible Binary Meta
Language), a kind of binary version of XML. This way the significant
advantages in terms of future format extensability are gained without
breaking file support in old parsers.

%description -l ru_RU.UTF-8
Matroska (Матрёшка :-)) создавалась с целью однажды стать стандартным
композитным форматом для мультимедийных данных. Она построена на
EBML (Extensible Binary Meta Language - Расширяемом Двоичном
Мета-Языке), бинарной разновидности XML. Таким образом становится
возможным расширять в будущем формат без нарушения его поддержки в
старых парсерах.

%package devel
Summary: Development files for libmatroska
Group: Development/C++
Requires: libmatroska = %version

%description devel
Matroska is aiming to become the standard of Multimedia Container
Formats one day. It is based on EBML (Extensible Binary Meta
Language), a kind of binary version of XML. This way the significant
advantages in terms of future format extensability are gained without
breaking file support in old parsers.

This package contains files needed to build programs using libebml

%package devel-static
Summary: Static libmatroska library
Group: Development/C++
Requires: libmatroska-devel = %version

%description devel-static
Matroska is aiming to become the standard of Multimedia Container
Formats one day. It is based on EBML (Extensible Binary Meta
Language), a kind of binary version of XML. This way the significant
advantages in terms of future format extensability are gained without
breaking file support in old parsers.

libmatroska library built statically

%package doc
Summary: Matroska Project Documentation (doxygenized HTML)
Group: Development/C++
Requires: libmatroska-devel = %version

%description doc
Matroska is aiming to become the standard of Multimedia Container
Formats one day. It is based on EBML (Extensible Binary Meta
Language), a kind of binary version of XML. This way the significant
advantages in terms of future format extensability are gained without
breaking file support in old parsers.

This package contains Matroska Development Documenation (doxygenized
HTML)

%description doc -l ru_RU.UTF-8
Matroska (Матрёшка :-)) создавалась с целью однажды стать стандартным
композитным форматом для мультимедийных данных. Она построена на
EBML (Extensible Binary Meta Language - Расширяемом Двоичном
Мета-Языке), бинарной разновидности XML. Таким образом становится
возможным расширять в будущем формат без нарушения его поддержки в
старых парсерах.

Данный пакет содержит Проектную Документацию Разработчика в виде
HTML, сгенерированном doxygen

%prep
%setup -q -n %name-%version -a 1
%patch -p1

%build
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__autoconf
%__automake -a
%configure %{subst_enable static} --enable-futureapi=2
%make_build
%__make check

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%dir %_includedir/matroska
%_includedir/matroska/*
%_libdir/*.so

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue Apr 30 2004 Alexey Morozov <morozov@altlinux.org> 0.7.0-alt1
- Initial build.
- Package autotoolized
- Enabled usage of Matroska future API (needed for MPlayer)
